clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::Ref Struct Reference

Represents a symbol occurrence in the source file. More...

`#include <Ref.h>`

Collaboration diagram for clang::clangd::Ref:
[legend]

## Public Attributes
SymbolLocation | Location
| The source location where the symbol is named. More...
RefKind | Kind = RefKind::Unknown

## Detailed Description

Represents a symbol occurrence in the source file.

Despite the name, it could be a declaration/definition/reference.

WARNING: Location does not own the underlying data - Copies are shallow.

Definition at line 52 of file Ref.h.

## Member Data Documentation

## ◆ Kind

RefKind clang::clangd::Ref::Kind = RefKind::Unknown

Definition at line 55 of file Ref.h.

Referenced by clang::clangd::SymbolCollector::handleMacros(), llvm::yaml::MappingTraits< Ref >::mapping(), clang::clangd::operator<(), and clang::clangd::operator==().

## ◆ Location

SymbolLocation clang::clangd::Ref::Location

The source location where the symbol is named.

Definition at line 54 of file Ref.h.

Referenced by clang::clangd::SymbolCollector::handleMacros(), llvm::yaml::MappingTraits< Ref >::mapping(), clang::clangd::operator<(), and clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- Ref.h